<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('withdrawal_requests', function (Blueprint $table): void {
            $table->dropForeign(['investment_id']);
        });

        Schema::table('withdrawal_requests', function (Blueprint $table): void {
            $table->unsignedBigInteger('investment_id')->nullable()->change();
            $table->foreign('investment_id')
                ->references('id')
                ->on('investments')
                ->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('withdrawal_requests', function (Blueprint $table): void {
            $table->dropForeign(['investment_id']);
        });

        Schema::table('withdrawal_requests', function (Blueprint $table): void {
            $table->unsignedBigInteger('investment_id')->nullable(false)->change();
            $table->foreign('investment_id')
                ->references('id')
                ->on('investments')
                ->cascadeOnDelete();
        });
    }
};
